<?php

//SMFChess template
//Chess.template.php

function template_chess_above()
{
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	echo '
		<!-- The Linktree -->
		<table width="100%" cellpadding="3" cellspacing="0"><tr><td valign="bottom">', theme_linktree(), '</td></tr></table>
		<table width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-top: 1ex;">
				<tr>
				<td>';
	if($modSettings['SMFChess_bar'] == 0)
		template_SMFChessBar_custom();
	else{
		echo '
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td class="middletext" valign="bottom" style="padding-bottom: 4px; padding-left: 4px;">',$context['page_index'],'</td>
				<td align="right" style="padding-right: 1ex;"><table cellpadding="0" cellspacing="0">
						<tr>
				<td class="mirrortab_first">&nbsp;</td>';
				
				foreach ($context['sort_links'] as $link)
				{
					if ($link['action'] == $context['SMFChess']['do'])
						echo '
						<td class="mirrortab_active_first">&nbsp;</td>
						<td valign="top" class="mirrortab_active_back">
							<a href="' . $scripturl . '?action=chess' . (!empty($link['action']) ? ';sa=' . $link['action'] : '') . '">', $link['label'], '</a>
						</td>
						<td class="mirrortab_active_last">&nbsp;</td>';
					else
						echo '
						<td valign="top" class="mirrortab_back">
							<a href="' . $scripturl . '?action=chess' . (!empty($link['action']) ? ';sa=' . $link['action'] : '') . '">', $link['label'], '</a>
						</td>';
				}
		
				echo '
					<td class="mirrortab_last">&nbsp;</td>
				</tr>
				</table></td>
			</tr>
		</table>
		';
	}
	
echo '<div class="tborder">';

}

function template_chess_below()
{
	echo '</div>
			</td>
		</tr>
	</table>';
}

function template_main()
{
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	echo '
		<table class="bordercolor" align="center" border="0" cellpadding="0" cellspacing="0" width="100%">
			<tbody>';
	//News
	echo '<tr>
			<td width="80%" valign="top" class="windowbg2" height="10">
		<table align="center" border="0" cellpadding="4" cellspacing="1" width="100%">
			<tbody>';
	echo '	
		<tr>
			<td class="titlebg" align="center" valign="middle">
				'.$txt['SMFChess_MyPage']['news'].'
			</td>
		</tr>
		<tr>
			<td class="windowbg2" align="center" valign="top">
				'.$context['SMFChess']['news'].'<br/>';
	
	if(isset($context['SMFChess']['error']))
		echo '
			<span class="meaction">'.$context['SMFChess']['error'].'</span>';
			
	echo'
			</td>
		</tr>
		';	

	echo '
	</tbody></table>
		</td>
	';
	
	
	//Blocks Column		
	echo '<td width="30%" valign="top" class="windowbg2" rowspan="2">';
	
	//My Stats
	echo '<div id="block_r1">
			<table class="bordercolor" align="center" border="0" cellpadding="4" cellspacing="1" width="100%">
			<tbody>';
	echo '	
		<tr>
			<td colspan="3" class="titlebg" align="center" valign="middle">
				'.$txt['SMFChess_MyPage']['mystats'].'
			</td>
		</tr>
		<tr>
			<td class="windowbg2" align="center" valign="middle">'.$txt['SMFChess_labels']['rank'].'</td>
			<td class="windowbg2" align="center" valign="middle">'.$context['SMFChess']['mystats']['myRank'].'</td>
		</tr>
		<tr>
			<td class="windowbg2" align="center" valign="middle">'.$txt['SMFChess_labels']['elo'].'</td>
			<td class="windowbg2" align="center" valign="middle">'.$context['SMFChess']['mystats']['myElo'].'</td>
		</tr>
		<tr>
			<td class="windowbg2" align="center" valign="middle">'.$txt['SMFChess_labels']['wins'].'</td>
			<td class="windowbg2" align="center" valign="middle">'.$context['SMFChess']['mystats']['myWins'].'</td>
		</tr>
		<tr>
			<td class="windowbg2" align="center" valign="middle">'.$txt['SMFChess_labels']['draws'].'</td>
			<td class="windowbg2" align="center" valign="middle">'.$context['SMFChess']['mystats']['myDraws'].'</td>
		</tr>
		<tr>
			<td class="windowbg2" align="center" valign="middle">'.$txt['SMFChess_labels']['losses'].'</td>
			<td class="windowbg2" align="center" valign="middle">'.$context['SMFChess']['mystats']['myLoses'].'</td>
		</tr>
		<tr>
			<td class="windowbg2" align="center" valign="middle">'.$txt['SMFChess_labels']['moves'].'</td>
			<td class="windowbg2" align="center" valign="middle">'.$context['SMFChess']['mystats']['myMoves'].'</td>
		</tr>';

	echo '
	</tbody></table>
	</div>';
	
	
	//My Results
	echo '<div id="block_r2">
			<table class="bordercolor" align="center" border="0" cellpadding="4" cellspacing="1" width="100%">
			<tbody>';
	echo '	
		<tr>
			<td colspan="3" class="titlebg" align="center" valign="middle">
				'.$txt['SMFChess_MyPage']['myresults'].'
			</td>
		</tr>
		<tr class="catbg3">
			<td style="width: auto;" nowrap="nowrap" valign="middle">
				'.$txt['SMFChess_labels']['opponent'].'
			</td>
			<td align="center" valign="middle" width="30%">
				'.$txt['SMFChess_labels']['result'].'
			</td>
			<td align="center" valign="middle" width="10%">
				'.$txt['SMFChess_labels']['wdl'].'
			</td>
		</tr>
		';
	
	if(empty($context['SMFChess']['recent']))
		echo '
				<tr>
					<td class="windowbg2" colspan="3" align="center">'.$txt['SMFChess_MyPage']['noresults'].'</td>
				</tr>';
	else{
		foreach($context['SMFChess']['recent'] as $row){	
			echo '
					<tr>
						<td class="windowbg2"><a href="'.$scripturl.'?action=chess;id='.$row['id_chess'].'">'.$row['opponent'].'</a></td>
						<td class="windowbg2" align="center" valign="middle">'.$row['status'].'</td>
						<td class="windowbg2" align="center" valign="middle">'.$row['result'].'</td>
					</tr>';
		}
	}

	echo '
	</tbody></table>
	</div>';
	
	//Top Players
	echo '<div id="block_r3">
			<table class="bordercolor" align="center" border="0" cellpadding="4" cellspacing="1" width="100%">
			<tbody>';
	echo '	
		<tr>
			<td colspan="3" class="titlebg" align="center" valign="middle">
				'.$txt['SMFChess_MyPage']['topplayers'].'
			</td>
		</tr>
		<tr class="catbg3">
			<td align="center" valign="middle" width="10%">
				'.$txt['SMFChess_labels']['rank'].'
			</td>
			<td style="width: auto;" nowrap="nowrap" valign="middle">
				'.$txt['SMFChess_labels']['name'].'
			</td>
			<td align="center" valign="middle" width="30%">
				'.$txt['SMFChess_labels']['elo'].'
			</td>
		</tr>
		';
	
	if(empty($context['SMFChess']['topplayers']))
		echo '
				<tr>
					<td class="windowbg2" colspan="3" align="center">'.$txt['SMFChess_errors']['noranked'].'</td>
				</tr>';
	else{
		foreach($context['SMFChess']['topplayers'] as $row){	
			if($row['ID_MEMBER'] == $context['user']['id']){
				echo '
						<tr>
							<td class="windowbg" align="center" valign="middle"><b>'.$row['rank'].'</b></td>
							<td class="windowbg"><a href="'.$scripturl.'?action=profile;u='.$row['ID_MEMBER'].'"><b>'.$row['realName'].'</b></a></td>
							
							<td class="windowbg" align="center" valign="middle"><b>'.$row['chess_elo'].'</b></td>
						</tr>';
			}else{
				echo '
						<tr>
							<td class="windowbg2" align="center" valign="middle">'.$row['rank'].'</td>
							<td class="windowbg2"><a href="'.$scripturl.'?action=profile;u='.$row['ID_MEMBER'].'">'.$row['realName'].'</a><a href="'.$scripturl.'?action=chess;sa=challenge;cUser='.$row['ID_MEMBER'].'"><span class="smalltext">'.$txt['SMFChess_labels']['cUser'].'</span></a></td>
							
							<td class="windowbg2" align="center" valign="middle">'.$row['chess_elo'].'</td>
						</tr>';
			}
		}
		
		if(($context['SMFChess']['mystats']['is_ranked'])&&($context['SMFChess']['mystats']['myRank'] > 10)){
			if($context['SMFChess']['mystats']['myRank'] > 11)
				echo '
						<tr>
							<td class="windowbg2" align="center" valign="middle">...</td>
							<td class="windowbg2">....</td>
							
							<td class="windowbg2" align="center" valign="middle">...</td>
						</tr>';
			
			echo '
						<tr>
							<td class="windowbg" align="center" valign="middle"><b>'.$context['SMFChess']['mystats']['myRank'].'</b></td>
							<td class="windowbg"><a href="'.$scripturl.'?action=profile;u='.$row['ID_MEMBER'].'"><b>'.$context['user']['name'].'</b></a></td>
							
							<td class="windowbg" align="center" valign="middle"><b>'.$context['SMFChess']['mystats']['myElo'].'</b></td>
						</tr>';
		}
	}

	echo '
	</tbody></table>
	</div>';
	
	
	echo'
		</td>
	</tr>
	';	
		
	//My Matches
	echo '<tr class="windowbg2" valign="top">
			<td >
		<table  class="bordercolor" align="center" border="0" cellpadding="4" cellspacing="1" width="100%">
			<tbody>';
	echo '	
		<tr>
			<td colspan="11" class="titlebg" align="center" valign="middle">
				'.$txt['SMFChess_MyPage']['mymatches'].'
			</td>
		</tr>
		<tr class="catbg3">
			<td width="2%">
			</td>
			<td style="width: auto;" nowrap="nowrap" valign="middle">
				'.$txt['SMFChess_labels']['opponent'].'
			</td>
			<td align="center" valign="middle" width="10%">
				'.$txt['SMFChess_labels']['turn'].'
			</td>
			<td align="center" valign="middle" width="10%">
				'.$txt['SMFChess_labels']['status'].'
			</td>
			<td align="center" valign="middle" width="10%">
				'.$txt['SMFChess_Challenge']['variant'].'
			</td>
			<td align="center" valign="middle" width="10%">
				'.$txt['SMFChess_labels']['moveclock'].'
			</td>
			<td align="center" valign="middle" width="3%">
				'.$txt['SMFChess_labels']['move'].'
			</td>
			<td align="center" valign="middle" width="10%">
				'.$txt['SMFChess_labels']['created'].'
			</td>
			<td align="center" valign="middle" width="15%">
				'.$txt['SMFChess_labels']['updated'].'
			</td>
		</tr>';

		if(empty($context['SMFChess']['mymatches']) && empty($context['SMFChess']['challenge']))
			echo '
					<tr style="text-align: center;">
						<td class="windowbg2" colspan="9">
							'.$txt['SMFChess_MyPage']['nocurrent'].'
						</td>
					</tr>';
		else{
			foreach($context['SMFChess']['mymatches'] as $row){	
				getOpponent($row['oppId']);	
				echo '
						<tr>
							<td class="windowbg2" align="center" valign="middle">'.(empty($context['SMFChess']['member_data']['avatar']['href'])?'':'<img src="'.$context['SMFChess']['member_data']['avatar']['href'].'" height="30px" alt="'.$row['opponent'].'" />').'</td>
							<td class="windowbg2"><a href="'.$scripturl.'?action=chess;id='.$row['id_chess'].'">'.$row['opponent'].'</a></td>
							<td class="windowbg2" align="center" valign="middle">'.$row['turnName'].'</td>
							<td class="windowbg2" align="center" valign="middle">'.$row['status'].'</td>
							<td class="windowbg2" align="center" valign="middle">'.$txt['SMFChess_variation'][$row['variation']].'</td>
							<td class="windowbg2" align="center" valign="middle">'.$row['moveTimeleft'].'</td>
							<td class="windowbg2" align="center" valign="middle">'.$row['move'].'</td>
							<td class="windowbg2" align="center" valign="middle">'.$row['created'].'</td>
							<td class="windowbg2" align="center" valign="middle">'.$row['updated'].'</td>
						</tr>';

			}
			if(sizeof($context['SMFChess']['mymatches']) > 9)
			{
				echo '
					<tr>
						<td class="windowbg2" align="center" valign="middle" colspan="13">
							<a href="'.$scripturl.'?action=chess;sa=current;filter='.$context['user']['id'].'">'.$txt['SMFChess_MyPage']['listall'].'</a></td>
						</td>
					</tr>';
			}
		}

	echo '
		</tbody></table>
			</td>
		</tr>
	';
	echo '
		</tbody></table>
	';
				
}

//Chess board Template
function template_board()
{
	global $txt, $context, $modSettings, $scripturl, $settings, $options;

	echo '
			<table class="bordercolor" border="0" cellpadding="4" cellspacing="1" width="100%">
					<tbody><tr>
						<td class="catbg3"><b>Board',(empty($context['SMFChess']['error'])?' - '.$context['SMFChess']['page']['whiteName'].' Vs '.$context['SMFChess']['page']['blackName'] : ''),'</b>'.($context['user']['is_guest']?'':'<span class="smalltext"><a href="'.$scripturl.'?action=chess;id='.$context['SMFChess']['page']['id_chess'].';default">'.$txt['SMFChess_labels']['setdefault'].'</a></span>').'</td>
						<td class="catbg3" width="40%"><b>'.$txt['SMFChess_Board']['details'].'</b></td>
					</tr>';

	if(!empty($context['SMFChess']['error']))
		echo '<tr><td colspan="3" class="windowbg2" align="center" >'.$context['SMFChess']['error'].'</td></tr>';
	else
	{
					
	//Echo Board
	echo '			<tr><td class="windowbg2" align="center" valign="top">';
	if((!empty($txt['SMFChess_variation_w'][$context['SMFChess']['page']['variation']]))&&($context['SMFChess']['page']['status'] < 3))
		echo '	
			<span class="meaction">'.$txt['SMFChess_variation_w'][$context['SMFChess']['page']['variation']].'</span><br />
';
	
	echo '	
		<a href="' . $scripturl . '?action=chess;id='.$context['SMFChess']['page']['id_chess'] , isset($_GET['switch']) ? '' : ';switch','">'.$txt['SMFChess_Board']['flipboard'].'</a>';
	

    echo "<br/>".get_current_Position($context['SMFChess']['page']['blackBelow'])."
		";
	 
	if(!empty($context['SMFChess']['page']['side'])&&($context['SMFChess']['page']['status'] < 3))
	{
    	echo '<form name="data" method="post" action="javascript:void(0)" onsubmit="modify_chess()">
			<input type="hidden" name="FEN" size="70" value="' . $context['SMFChess']['page']['boarddata'] . '"/>
			'.($options['SMFChess_quickplay']?'<input type="hidden" name="Move" value=""/>':'<b>'.$txt['SMFChess_Board']['infomove'].':</b><input type="text" name="Move" size="10" value=""/><input type="button" value="'.$txt['SMFChess_Board']['buttonsend'].'" onclick="modify_chess()"/><br/>').'
			<i>'.$txt['SMFChess_Board']['infodragdrop'].'</i><input type="hidden" name="check" value="" /></form>
			';
	}
	
	echo ($context['browser']['is_ie']? '' : '<br/>'),"<div id='controlMsg'>" . $context['SMFChess']['message'] . "</div>";


	echo '
		</td><td class="windowbg2" valign="top">
				<table class="windowbg2" border="0" cellpadding="4" cellspacing="1" width="100%">
					<tbody>
						<tr>
							<td align="center" width="50%">
								<div style="overflow: auto; width: 100%;">', $context['SMFChess'][$context['SMFChess']['page']['white']]['avatar']['image'], '</div>
							</td>
							<td></td>
							<td align="center" width="50%">
								<div style="overflow: auto; width: 100%;">', $context['SMFChess'][$context['SMFChess']['page']['black']]['avatar']['image'], '</div>
							</td>
						</tr>
						<tr>
							<td align="center" width="50%">';
		// Show the profile, website, email address, and personal message buttons.
		if($context['SMFChess'][$context['SMFChess']['page']['white']]['id'] != $context['user']['id'])
		{		
				// Show online and offline buttons?
				if (!empty($modSettings['onlineEnable']))
				echo '
								<img src="' . $context['SMFChess'][$context['SMFChess']['page']['white']]['online']['image_href'] . '" alt="' . $context['SMFChess'][$context['SMFChess']['page']['white']]['online']['text'] . '" border="0" style="margin-top: 2px;" />';				
				
				// Don't show the profile button if you're not allowed to view the profile.
				if ($context['SMFChess'][$context['SMFChess']['page']['white']]['can_view_profile'])
					echo '
								<a href="', $context['SMFChess'][$context['SMFChess']['page']['white']]['href'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt[27] . '" title="' . $txt[27] . '" border="0" />' : $txt[27]), '</a>';

				// Don't show an icon if they haven't specified a website.
				if ($context['SMFChess'][$context['SMFChess']['page']['white']]['website']['url'] != '')
					echo '
								<a href="', $context['SMFChess'][$context['SMFChess']['page']['white']]['website']['url'], '" title="' . $context['SMFChess'][$context['SMFChess']['page']['white']]['website']['title'] . '" target="_blank">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $txt[515] . '" border="0" />' : $txt[515]), '</a>';

				// Don't show the email address if they want it hidden.
				if (empty($context['SMFChess'][$context['SMFChess']['page']['white']]['hide_email']))
					echo '
								<a href="mailto:', $context['SMFChess'][$context['SMFChess']['page']['white']]['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';

				// Since we know this person isn't a guest, you *can* message them.
				if ($context['can_send_pm'])
					echo '
								<a href="', $scripturl, '?action=pm;sa=send;u=', $context['SMFChess'][$context['SMFChess']['page']['white']]['id'], '" title="', $context['SMFChess'][$context['SMFChess']['page']['white']]['online']['label'], '">', $settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/im_' . ($context['SMFChess'][$context['SMFChess']['page']['white']]['online']['is_online'] ? 'on' : 'off') . '.gif" alt="' . $context['SMFChess'][$context['SMFChess']['page']['white']]['online']['label'] . '" border="0" />' : $context['SMFChess'][$context['SMFChess']['page']['white']]['online']['label'], '</a>';
			}
									
		echo '						
							</td>
							<td align="center"></td>
							<td align="center" width="50%">';								
		
		if($context['SMFChess'][$context['SMFChess']['page']['black']]['id'] != $context['user']['id'])
		{
				// Show online and offline buttons?
				if (!empty($modSettings['onlineEnable']))
				echo '
								<img src="' . $context['SMFChess'][$context['SMFChess']['page']['black']]['online']['image_href'] . '" alt="' . $context['SMFChess'][$context['SMFChess']['page']['black']]['online']['text'] . '" border="0" style="margin-top: 2px;" />';
								
				// Don't show the profile button if you're not allowed to view the profile.
				if ($context['SMFChess'][$context['SMFChess']['page']['black']]['can_view_profile'])
					echo '
								<a href="', $context['SMFChess'][$context['SMFChess']['page']['black']]['href'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/icons/profile_sm.gif" alt="' . $txt[27] . '" title="' . $txt[27] . '" border="0" />' : $txt[27]), '</a>';

				// Don't show an icon if they haven't specified a website.
				if ($context['SMFChess'][$context['SMFChess']['page']['black']]['website']['url'] != '')
					echo '
								<a href="', $context['SMFChess'][$context['SMFChess']['page']['black']]['website']['url'], '" title="' . $context['SMFChess'][$context['SMFChess']['page']['black']]['website']['title'] . '" target="_blank">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $txt[515] . '" border="0" />' : $txt[515]), '</a>';

				// Don't show the email address if they want it hidden.
				if (empty($context['SMFChess'][$context['SMFChess']['page']['black']]['hide_email']))
					echo '
								<a href="mailto:', $context['SMFChess'][$context['SMFChess']['page']['black']]['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a>';

				// Since we know this person isn't a guest, you *can* message them.
				if ($context['can_send_pm'])
					echo '
								<a href="', $scripturl, '?action=pm;sa=send;u=', $context['SMFChess'][$context['SMFChess']['page']['black']]['id'], '" title="', $context['SMFChess'][$context['SMFChess']['page']['black']]['online']['label'], '">', $settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/im_' . ($context['SMFChess'][$context['SMFChess']['page']['black']]['online']['is_online'] ? 'on' : 'off') . '.gif" alt="' . $context['SMFChess'][$context['SMFChess']['page']['black']]['online']['label'] . '" border="0" />' : $context['SMFChess'][$context['SMFChess']['page']['black']]['online']['label'], '</a>';
		
		}
									
		echo '
							</td>
						</tr>
						<tr>
							<td align="center" width="50%">
								<b>'.$context['SMFChess'][$context['SMFChess']['page']['white']]['name'].'</b><br/>
								'.$txt['SMFChess_Board']['whitetitle'].'
							</td>
							<td align="center"><b>Vs</b></td>
							<td align="center" width="50%">
								<b>'.$context['SMFChess'][$context['SMFChess']['page']['black']]['name'].'</b><br/>
								'.$txt['SMFChess_Board']['blacktitle'].'
							</td>
						</tr>
						<tr>
							<td align="center">';
						if($context['SMFChess']['page']['side'] == 'w')
							echo '
								<span id="whiteQCastleDiv" '.($context['SMFChess']['castle']['wQ']?'':'style="display: none;"').'><a href="javascript:void(0)" onclick="if(is_disabled){document.data.Move.value=\'O-O-O\';modify_chess();}"><img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/white_queen'.$context['SMFChess']['board']['filetype'].'" alt="Q" title="'.$txt['SMFChess_Board']['castlequeen'].'"/></a></span>						
								<span id="whiteKCastleDiv" '.($context['SMFChess']['castle']['wK']?'':'style="display: none;"').'><a href="javascript:void(0)" onclick="if(is_disabled){document.data.Move.value=\'O-O\';modify_chess();}"><img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/white_king'.$context['SMFChess']['board']['filetype'].'" alt="K" title="'.$txt['SMFChess_Board']['castleking'].'"/></a></span>';
						else	
							echo '
								<span id="whiteQCastleDiv" '.($context['SMFChess']['castle']['wQ']?'':'style="display: none;"').'><img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/white_queen'.$context['SMFChess']['board']['filetype'].'" alt="Q" title="'.$txt['SMFChess_Board']['castlequeen'].'"/></span>
								<span id="whiteKCastleDiv" '.($context['SMFChess']['castle']['wK']?'':'style="display: none;"').'><img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/white_king'.$context['SMFChess']['board']['filetype'].'" alt="K" title="'.$txt['SMFChess_Board']['castleking'].'"/></span>';
							echo '	
							</td>
							<td align="center"><img src="'.$settings['default_theme_url'].'/SMFChess/images/slice_rook.gif" alt="Castle" title="'.$txt['SMFChess_Board']['cancastle'].'"/></td>
							<td align="center">';
						if($context['SMFChess']['page']['side'] == 'b')
							echo '
								<span id="blackKCastleDiv" '.($context['SMFChess']['castle']['bK']?'':'style="display: none;"').'><a href="javascript:void(0)" onclick="if(is_disabled){document.data.Move.value=\'O-O\';modify_chess();}"><img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/black_king'.$context['SMFChess']['board']['filetype'].'" alt="K" title="'.$txt['SMFChess_Board']['castleking'].'"/></a></span>
								<span id="blackQCastleDiv" '.($context['SMFChess']['castle']['bQ']?'':'style="display: none;"').'><a href="javascript:void(0)" onclick="if(is_disabled){document.data.Move.value=\'O-O-O\';modify_chess();}"><img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/black_queen'.$context['SMFChess']['board']['filetype'].'" alt="Q" title="'.$txt['SMFChess_Board']['castlequeen'].'"/></a></span>';
						else
							echo '
								<span id="blackKCastleDiv" '.($context['SMFChess']['castle']['bK']?'':'style="display: none;"').'><img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/black_king'.$context['SMFChess']['board']['filetype'].'" alt="K" title="'.$txt['SMFChess_Board']['castleking'].'"/></span>
								<span id="blackQCastleDiv" '.($context['SMFChess']['castle']['bQ']?'':'style="display: none;"').'><img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/black_queen'.$context['SMFChess']['board']['filetype'].'" alt="Q" title="'.$txt['SMFChess_Board']['castlequeen'].'"/></span>';
		
		echo '
							</td>
						</tr>
						';
		//Show captured
		echo '			<tr>
							<td colspan="3" align="center"><b><u>'.$txt['SMFChess_Board']['captured'].'</u></b></td>
						</tr>
						<tr>
							<td align="center">
								<span id="capturedPiecesW" class="smalltext">
								';
		foreach($context['SMFChess']['page']['captured']['wCap'] as $k){
				if($k['total'] > 0)
					echo ($k['total'] > 1?$k['total'].'x' : '').'<img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/'.$k['name'].$context['SMFChess']['board']['filetype'].'" alt="'.$k['name'].'" width="30"/> 
				';
		}
									
								
		echo '			
								</span>
							</td>
							<td></td>
							<td align="center">
								<span id="capturedPiecesB" class="smalltext">
								';
		foreach($context['SMFChess']['page']['captured']['bCap'] as $k){
			if($k['total'] > 0)
				echo ($k['total'] > 1?$k['total'].'x' : '').'<img src="'.$settings['default_theme_url'].'/SMFChess/pieces/'.$context['SMFChess']['board']['SMFChess_piece'].'/'.$k['name'].$context['SMFChess']['board']['filetype'].'" alt="'.$k['name'].'" width="30"/> 
				';
		}
									
								
		echo '			
								</span>
							</td>
						</tr>
						';
						
		echo '			<tr>
							<td colspan="3"><a href="'.$scripturl.'?action=chessXml;sa=export;sesc='.$context['session_id'].';id='.$context['SMFChess']['page']['id_chess'].';xml" target="_blank" >'.$txt['SMFChess_Board']['export'].'</a></td>
						</tr>
						<tr>
							<td colspan="3"><hr width="100%" size="1" class="hrcolor" /></td>
						</tr>
						<tr>
							<td colspan="3">
								<table class="windowbg2" border="0" cellpadding="1" cellspacing="0" width="100%">
									<tr>
										<td colspan="2" align="center"><b><u>'.$txt['SMFChess_Board']['gamestatus'].'</u></b></td>
										<td align="center"><b><u>'.$txt['SMFChess_Board']['history'].'</u></b></td>
									</tr>
									<tr>
										<td colspan="2" valign="top">
											<table class="windowbg2" border="0" cellpadding="0" cellspacing="10" width="100%">
												<tr>
													<td>'.$txt['SMFChess_labels']['status'].':</td>
													<td><div id="statusDiv">'.$context['SMFChess']['page']['statusName'].'</div></td>
												</tr>	
												<tr>
													<td><div id="turnheaderDiv">'.($context['SMFChess']['page']['status'] > 2 ? $txt['SMFChess_labels']['winner'] : $txt['SMFChess_labels']['turn'] ).':</div></td>
													<td><div id="turnnameDiv">'.($context['SMFChess']['page']['status'] == 4 ? '-' : ($context['SMFChess']['page']['yours']? '<span class="meaction">'.$txt['SMFChess_labels']['yours'].'</span>' : $context['SMFChess'][$context['SMFChess']['page']['turn']]['name'] )).'</div></td>
												</tr>
												<tr>
													<td>'.$txt['SMFChess_labels']['moveclock'].':</td>
													<td><div id="moveClock">'.$context['SMFChess']['page']['moveTimeleft'].'</div></td>
												</tr>
												<tr>
													<td>'.$txt['SMFChess_labels']['created'].':</td>
													<td>'.$context['SMFChess']['page']['created'].'</td>
												</tr>
												<tr>
													<td>'.$txt['SMFChess_Board']['lastmove'].':</td>
													<td><div id="updatedDiv">'.$context['SMFChess']['page']['updated'].'</div></td>
												</tr>';
		if($context['SMFChess']['page']['variation'] > 0)
			echo '
												<tr>
													<td>'.$txt['SMFChess_Challenge']['variant'].':</td>
													<td>'.$txt['SMFChess_variation'][$context['SMFChess']['page']['variation']].'</td>
												</tr>
												';
		echo '
											</table>
										</td>
												
										<td align="center" valign="top">';
	if($context['SMFChess']['page']['status'] < 3){
		echo '
											<div id="historyDiv">
												<a href="javascript:void(0)" onclick="is_disabled=true;checkUpdate();">---------</a><br/>';
							foreach($context['SMFChess']['history'] as $row){
									echo '<a href="javascript:void(0)" onclick="historyViewer('.$row['id_move'].');">'.($row['move'] == 0 ? $row['move_info'] : $row['move'].$row['turn'].'.	'.$row['move_info']).'</a><br/>
										';
								
							}

		echo '							</div>';
	}else{
		echo '
				<select name="SMFChess_HistoryViewer" id="SMFChess_HistoryViewer" size="10" onchange="historyViewer(this.value)">
				';
		foreach($context['SMFChess']['history'] as $row){
			echo '<option value="'.$row['id_move'].'" >'.($row['move'] == 0 ? $row['move_info'] : $row['move'].$row['turn'].'.	'.$row['move_info']).'</option>
				';
		}
		
		echo '		</select>
				';
	}
	
		echo '
								</td>
							</tr>
							
						</table>
					</td>
				</tr>';
	if($context['SMFChess']['displayControl'] && ($context['SMFChess']['page']['status'] < 3)){
		echo '
			<tr>
				<td colspan="3"><hr width="100%" size="1" class="hrcolor" /></td>
			</tr>';
		if(!empty($context['SMFChess']['page']['side']))
			echo '
				<tr>
					<td colspan="3" align="center"><b><u>'.$txt['SMFChess_Board']['controlpanel'].'</u></b></td>
				</tr>
				<tr>
					<td colspan="3" align="center">
						<b>'.$txt['SMFChess_Board']['request'].':</b>
						<a href="javascript:void(0)" onclick="if(confirm(\''.$txt['SMFChess_javascript']['yousure'].'\')){chessCommand(\'undo\');}"><b><u>'.$txt['SMFChess_Board']['undo'].'</u></b></a> 
						<a href="javascript:void(0)" onclick="if(confirm(\''.$txt['SMFChess_javascript']['yousure'].'\')){chessCommand(\'draw\');}"><b><u>'.$txt['SMFChess_Board']['draw'].'</u></b></a> 
						<a href="javascript:void(0)" onclick="if(confirm(\''.$txt['SMFChess_javascript']['yousure'].'\')){chessCommand(\'resign\');}"><b><u>'.$txt['SMFChess_Board']['resign'].'</u></b></a>
					</td>
				</tr>';
		if($context['allow_chess_admin'])
			echo '
				<tr>
					<td colspan="3" align="center"><b><u>'.$txt['SMFChess_Board']['adminpanel'].'</u></b></td>
				</tr>
				<tr>
					<td colspan="3" align="center">
						<a href="javascript:void(0)" onclick="if(confirm(\''.$txt['SMFChess_javascript']['yousure'].'\')){chessCommand(\'admin_addmove\');}"><b><u>'.$txt['SMFChess_Board']['addmove'].'</u></b></a> 
						<a href="'. $scripturl. '?action=chess;sa=current;delete='.$row['id_chess'].';sesc='.$context['session_id'].'" onclick="return confirm(\''.$txt['SMFChess_javascript']['yousure'].'\')"><b><u>'.$txt['SMFChess_Board']['deletegame'].'</u></b></a>
						<a href="javascript:void(0)" onclick="if(confirm(\''.$txt['SMFChess_javascript']['yousure'].'\')){chessCommand(\'admin_clearchat\');}"><b><u>'.$txt['SMFChess_Board']['clearchat'].'</u></b></a>
					</td>
				</tr><tr>
					<td colspan="3" align="center">
						<b>'.$txt['SMFChess_Board']['declarewin'].':</b>
						<a href="javascript:void(0)" onclick="if(confirm(\''.$txt['SMFChess_javascript']['yousure'].'\')){chessCommand(\'admin_win_white\');}"><b><u>'.$txt['SMFChess_Board']['whitetitle'].'</u></b></a>
						<a href="javascript:void(0)" onclick="if(confirm(\''.$txt['SMFChess_javascript']['yousure'].'\')){chessCommand(\'admin_win_black\');}"><b><u>'.$txt['SMFChess_Board']['blacktitle'].'</u></b></a>
						<a href="javascript:void(0)" onclick="if(confirm(\''.$txt['SMFChess_javascript']['yousure'].'\')){chessCommand(\'admin_win_draw\');}"><b><u>'.$txt['SMFChess_Board']['draw'].'</u></b></a>
					</td>
				</tr>';
	}
	
	echo '				
			</tbody>
		</table>
	</td>			
	</tr>
		';
	
if($context['SMFChess']['seeChat'])
{
	echo '
		<tr>
			<td colspan="2" class="windowbg2" valign="top">
				<table align="center" border="0" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td valign="top">
							<div id="SMFChessSwitch1">
								
			';
			
		if($context['SMFChess']['allowChat'])
			echo '<form name="SMFChessChatForm" action="javascript:void(0)" method="post" onsubmit="send_SMFChessChat()"><span id="SMFChessChatTextSpan" '.(in_array($options['SMFChess_log'], array(2,0)) ? '' : 'style="display: none;"').'><b>'.$txt['SMFChess_Board']['chatbutton'].':</b><input type="text" autocomplete="off" id="SMFChessChatText" name="SMFChessChatText" size="80%" value=""/>
				<input type="button" value="'.$txt['SMFChess_Board']['chatbutton'].'" onclick="send_SMFChessChat(\'0\')"  name="SMFChessChatButton"/></span>
				<div class="page_name_auto_complete" id="chatcommand_list" style="display:none"></div>
				<br/>';	
	
	echo '		
									
									'.$txt['SMFChess_Board']['chat_show'].':
									 <a href="javascript:void(0)" onclick="showChat(\'all\')">'.$txt['SMFChess_Board']['chat_all'].'</a>
									 <a href="javascript:void(0)" onclick="showChat(\'both\')">'.$txt['SMFChess_Board']['chat_both'].'</a>
									 <a href="javascript:void(0)" onclick="showChat(\'chat\')">'.$txt['SMFChess_Board']['chatbutton'].'</a>
									 <a href="javascript:void(0)" onclick="showChat(\'log\')">'.$txt['SMFChess_Board']['chat_log'].'</a>
									
									', (empty($context['SMFChess']['page']['side'])? '' : ' | <a href="javascript:void(0)" onclick="document.getElementById(\'SMFChessSwitch1\').style.display=\'none\';document.getElementById(\'SMFChessSwitch2\').style.display=\'\';">'.$txt['SMFChess_Board']['chat_notepad'].'</a>' ) , '
									<br/>
									<div id="SMFChessChatBody" ></div>
								</form>
							</div>
							', (empty($context['SMFChess']['page']['side'])? '' : '<div id="SMFChessSwitch2" style="display: none;">
								'.$txt['SMFChess_Board']['chat_show'].': <a href="javascript:void(0)" onclick="document.getElementById(\'SMFChessSwitch2\').style.display=\'none\';document.getElementById(\'SMFChessSwitch1\').style.display=\'\';">'.$txt['SMFChess_Board']['chatbutton'].'</a>
								<form name="SMFChessNotepadForm" action="javascript:void(0)" method="post" onsubmit="send_SMFChessNotepad();">
									<textarea name="SMFChessNotepadArea"  rows="10" cols="50">'.$context['SMFChess']['page']['notepad'].'</textarea>
									<br/>
									<input type="button" value="'.$txt['SMFChess_Board']['chat_save'].'" onclick="send_SMFChessNotepad();"  name="SMFChessNotepadButton"/>
								</form>
								
							</div>' ) , '
						</td>
						<td valign="top" align="right" >
							<b>Watching</b>
							<div id="whoswatchingDiv" class="chatWatching" style="width:200px;">'.$txt['SMFChess_g']['loading'].'</div>
						</td>
					</tr>
				</table>
			</td>
		</tr>';
}	

}
	echo	'</tbody></table>';

	if(empty($context['SMFChess']['error'])){
		echo '
		<script type="text/javascript">
		<!--
		SET_DHTML(CURSOR_HAND, '.$context['dhtmlInfo'].');
		'.$context['dhtmlIEunprettyfix'].'
		//-->
		</script>';
	}
}

//Current Template
function template_current()
{
	global $txt, $context, $modSettings, $scripturl, $settings, $options;
	
	echo '<script type="text/javascript" src="'.$settings['default_theme_url'].'/SMFChess/wz_tooltip/wz_tooltip.js"></script>';	
	
	if(!isset($options['SMFChess_border'])){
		$options['SMFChess_default'] = true;
		$options['SMFChess_border'] = '';
	}

	$context['SMFChess_border'] = $options['SMFChess_default']||empty($options['SMFChess_border'])? $modSettings['SMFChess_border'] : $options['SMFChess_border'];
	
	echo '
			<table class="bordercolor" border="0" cellpadding="4" cellspacing="1" width="100%">
					<tbody><tr>

						<td class="catbg3" style="width: auto;">'.$txt['SMFChess_labels']['game'].'</td>
						
						<td class="catbg3" width="10%" align="center"><a href="' . $scripturl . '?action=chess;sa=current;start=', $context['SMFChess']['start'], ';sort=status', $context['SMFChess']['sort_direction'] != 'down' && $context['SMFChess']['sort_by'] == 'status' ? '' : ';asc', $context['SMFChess']['filter'].'">'.$txt['SMFChess_labels']['status'].' ', $context['SMFChess']['sort_by'] == 'status' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['SMFChess']['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
						
						<td class="catbg3" width="10%" align="center">'.$txt['SMFChess_Challenge']['variant'].'</td>
						
						<td class="catbg3" width="8%" align="center"><a href="' . $scripturl . '?action=chess;sa=current;start=', $context['SMFChess']['start'], ';sort=moves', $context['SMFChess']['sort_direction'] != 'up' && $context['SMFChess']['sort_by'] == 'moves' ? ';asc' : '', $context['SMFChess']['filter'].'">'.$txt['SMFChess_labels']['move'].' ', $context['SMFChess']['sort_by'] == 'moves' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['SMFChess']['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
						
						<td class="catbg3" width="6%" align="center">'.$txt['SMFChess_labels']['turn'].'</td>
						
						<td class="catbg3" width="10%" align="center"><a href="' . $scripturl . '?action=chess;sa=current;start=', $context['SMFChess']['start'], ';sort=created', $context['SMFChess']['sort_direction'] != 'up' && $context['SMFChess']['sort_by'] == 'created' ? ';asc' : '', $context['SMFChess']['filter'].'">'.$txt['SMFChess_labels']['created'].' ', $context['SMFChess']['sort_by'] == 'created' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['SMFChess']['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
						
						<td class="catbg3" width="15%" align="center"><a href="' . $scripturl . '?action=chess;sa=current;start=', $context['SMFChess']['start'], ';sort=updated', $context['SMFChess']['sort_direction'] != 'up' && $context['SMFChess']['sort_by'] == 'updated' ? ';asc' : '', $context['SMFChess']['filter'].'">'.$txt['SMFChess_labels']['updated'].' ', $context['SMFChess']['sort_by'] == 'updated' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['SMFChess']['sort_direction'] . '.gif" alt="" />' : '', '</a></td>';
						
					if($context['allow_chess_admin'])
						echo '
							<td class="catbg3" width="4%" align="center"></td>';
				echo '		
					</tr>';
	
	if(!empty($context['SMFChess']['error']))
		echo '<tr><td colspan="8" class="windowbg" align="center">'.$context['SMFChess']['error'].'</td></tr>';
					
	foreach($context['SMFChess']['page'] as $row){				
		echo'	<tr>
					<td class="windowbg" valign="middle">
						<a href="'.$scripturl.'?action=chess;id='.$row['id_chess'].'">'.$row['whiteName'].' '.$txt['SMFChess_labels']['vs'].' '.$row['blackName'].'</a>'.($context['user']['is_guest']?'':' <span class="smalltext"><a href="'.$scripturl.'?action=chess;id='.$row['id_chess'].';default">'.$txt['SMFChess_labels']['setdefault'].'</a></span>').'
						<span class="smalltext"><a href="javascript:void(0)" onclick="Tip(tooltipPreview(\''.$row['id_chess'].'\'), WIDTH, 302, STICKY, true, BORDERWIDTH, 0, BGCOLOR, \''.$context['SMFChess_border'].'\')">['.$txt['SMFChess_labels']['preview'].']</a></span>
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="10%">
						', $row['status'],'
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="10%">
						', $txt['SMFChess_variation'][$row['variation']],'
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="8%">
						', $row['move'],'
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="6%">
						<img src="'.$settings['default_theme_url'].'/SMFChess/images/'.$row['turnC'].'_pawn_small.gif" alt="'.$row['turnC'].'" title="'.$row['turnC'].' '.$txt['SMFChess_labels']['turn'].'"/>
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="10%">
						', $row['created'],'
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="15%">
						', $row['updated'],'
					</td>';
					
				if($context['allow_chess_admin'])
							echo '	
					<td class="windowbg2" align="center" valign="middle" width="4%">
															
						
									<a href="'. $scripturl. '?action=chess;sa=current;delete='.$row['id_chess'].';sesc='.$context['session_id'].'" onclick="return confirm(\''.$txt['SMFChess_javascript']['delete'].'\');"><img src="'.$settings['default_theme_url'].'/SMFChess/images/delete_pawn.gif" alt="'.$txt['SMFChess_labels']['delete'].'" title="'.$txt['SMFChess_labels']['delete'].'"/></a>

	
				</td>';
		echo'
				</tr>';
	}

	echo	'</tbody></table>';

}

//Finished Page Template
function template_finished()
{
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	echo '
			<table class="bordercolor" border="0" cellpadding="4" cellspacing="1" width="100%">
					<tbody><tr>

						<td class="catbg3" style="width: auto;">'.$txt['SMFChess_labels']['game'].'</td>
						
						<td class="catbg3" width="10%" align="center"><a href="' . $scripturl . '?action=chess;sa=finished;start=', $context['SMFChess']['start'], ';sort=status', $context['SMFChess']['sort_direction'] != 'down' && $context['SMFChess']['sort_by'] == 'status' ? '' : ';asc', '">'.$txt['SMFChess_labels']['status'].' ', $context['SMFChess']['sort_by'] == 'status' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['SMFChess']['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
						
						<td class="catbg3" width="10%" align="center">'.$txt['SMFChess_Challenge']['variant'].'</td>
						
						<td class="catbg3" width="8%" align="center"><a href="' . $scripturl . '?action=chess;sa=finished;start=', $context['SMFChess']['start'], ';sort=moves', $context['SMFChess']['sort_direction'] != 'up' && $context['SMFChess']['sort_by'] == 'moves' ? ';asc' : '', '">'.$txt['SMFChess_labels']['move'].' ', $context['SMFChess']['sort_by'] == 'moves' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['SMFChess']['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
						
						<td class="catbg3" width="12%" align="center" colspan="2">'.$txt['SMFChess_labels']['winner'].'</td>

						<td class="catbg3" width="15%" align="center"><a href="' . $scripturl . '?action=chess;sa=finished;start=', $context['SMFChess']['start'], ';sort=updated', $context['SMFChess']['sort_direction'] != 'up' && $context['SMFChess']['sort_by'] == 'updated' ? ';asc' : '', '">'.$txt['SMFChess_labels']['finished'].' ', $context['SMFChess']['sort_by'] == 'updated' ? '<img src="' . $settings['images_url'] . '/sort_' . $context['SMFChess']['sort_direction'] . '.gif" alt="" />' : '', '</a></td>';
						
						if($context['allow_chess_admin'])
							echo '
								<td class="catbg3" width="4%" align="center"></td>';
					echo '	
					</tr>';
	
	if(!empty($context['SMFChess']['error']))
		echo '<tr><td colspan="7" class="windowbg" align="center">'.$context['SMFChess']['error'].'</td></tr>';
					
	foreach($context['SMFChess']['page'] as $row){				
		echo'	<tr>
					<td class="windowbg" valign="middle">
						<a href="'.$scripturl.'?action=chess;id='.$row['id_chess'].'">'.$row['whiteName'].' '.$txt['SMFChess_labels']['vs'].' '.$row['blackName'].'</a>
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="10%">
						', $row['status'],'
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="10%">
						', $txt['SMFChess_variation'][$row['variation']],'
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="8%">
						', $row['move'],'
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="6%">
					';
				if(!empty($row['turnC']))
					echo '
						<img src="'.$settings['default_theme_url'].'/SMFChess/images/'.$row['turnC'].'_pawn_small.gif" alt="'.$row['turnC'].'" title="'.$row['turnC'].' '.$txt['SMFChess_labels']['won'].'"/>
						';
				echo '
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="6%">
						', $row['turn'],'
					</td>
					
					<td class="windowbg2" align="center" valign="middle" width="15%">
						', $row['updated'],'
					</td>';
					
				if($context['allow_chess_admin'])
							echo '	
					<td class="windowbg2" align="center" valign="middle" width="4%">
															
						
									<a href="'. $scripturl. '?action=chess;sa=finished;delete='.$row['id_chess'].';sesc='.$context['session_id'].'" onclick="return confirm(\''.$txt['SMFChess_javascript']['delete'].'\');"><img src="'.$settings['default_theme_url'].'/SMFChess/images/delete_pawn.gif" alt="'.$txt['SMFChess_labels']['delete'].'" title="'.$txt['SMFChess_labels']['delete'].'"/></a>

	
				</td>';
		echo'

				</tr>';
	}

	echo	'</tbody></table>';
}

//Challenge Template
function template_challenge()
{
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	echo '
			<table class="bordercolor" border="0" cellpadding="0" cellspacing="0" width="100%">
			<tbody>';
	echo 	'<tr>
				<td>
					<table class="bordercolor" border="0" cellpadding="4" cellspacing="0" width="100%">
						<tr>
							<td class="titlebg">
								<b>'.$txt['SMFChess_labels']['challenge'].'</b>
							</td>
						</tr>';
	echo 	'			
						<tr>
							<td class="windowbg2">
								<div id="SMFChessSearchArea" '.($context['SMFChess']['cUser'] ? 'style="display: none;"' : '').'>
									<form action="javascript:void(0)" method="post" name="SMFChessSearch" onsubmit="modify_chessSearch()">
										<table border="0" cellpadding="3" cellspacing="0" width="100%">';
						
	if(!empty($context['SMFChess']['error']))
		echo '					
							<tr>
								<td class="windowbg2" colspan="3" valign="middle" align="center">
									<font color="red" ><b>'.$context['SMFChess']['error'].'<b></font>
								</td>
							</tr>';
	
	echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
									<b>'.$txt['SMFChess_Challenge']['request'].'</b>
									<div class="smalltext">'.$txt['SMFChess_Challenge']['part1'].'</div>
								</td>
								<td class="windowbg2" colspan="2" align="left" valign="top">
									<b>'.$txt['SMFChess_Challenge']['searchlabel'].'</b>
								</td>
							</tr>';
							
	echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
									
								</td>
								<td class="windowbg2" colspan="2" align="left" valign="top">
									<input id="SMFChessSearchUser" type="text" name="SMFChessSearchUser" size="50"/><span id="userSearchindicator" style="display: none"><img src="'.$settings['default_theme_url'].'/SMFChess/images/loading.gif" alt="'.$txt['SMFChess_labels']['findingusers'].'" /></span>
								</td>
							</tr>';

		echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
									
								</td>
								<td class="windowbg2" colspan="2" align="left" valign="top">
									'.$txt['SMFChess_control']['or'].'
								</td>
							</tr>';
														
		echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
									<b>'.$txt['SMFChess_Challenge']['createquickmatch'].'</b>
									<div class="smalltext">'.$txt['SMFChess_Challenge']['createquickmatch_i'].'</div>
								</td>
								<td class="windowbg2" colspan="2" align="left" valign="top">
									<input type="button" value="'.$txt['SMFChess_Challenge']['createquickmatch'].'" onclick="selectedLucky()"/>
								</td>
							</tr>';
														
	echo '
						</table>
						</form>
					</div>
					<div id="SMFChessChallengeForm" '.($context['SMFChess']['cUser'] ? '' : 'style="display: none;"').'>
						<form action="'.$scripturl.'?action=chess;sa=challenge" method="post" name="SMFChessChallenge">
						<input name="challengeForm" type="hidden" value="true" />
						<table border="0" cellpadding="3" cellspacing="0" width="100%">';

	echo '					
							<tr>
								<td class="windowbg2" colspan="3" align="left" valign="top">
									<a href="javascript:void(0)" onclick="goBack();">'.$txt['SMFChess_Challenge']['goback'].'</a>
								</td>
							</tr>';

	echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
									<b>'.$txt['SMFChess_Challenge']['request'].'</b>
									<div class="smalltext">'.$txt['SMFChess_Challenge']['part2'].'</div>
								</td>
								<td class="windowbg2" colspan="2" align="left" valign="top">
								</td>
							</tr>';
						
	echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
									<b>'.$txt['SMFChess_Challenge']['tochallenge'].':</b>
								</td>
								<td class="windowbg2" align="left" valign="top">
									<span id="challengeuserName" style="font-weight:bold;">'.($context['SMFChess']['cUser'] ? $context['SMFChess']['cUser'][1] : '').'</span><input name="challengeuser" type="hidden" '.($context['SMFChess']['cUser'] ? 'value="'.$context['SMFChess']['cUser'][0].'"' : '').'/>
								</td>
								<td width="50%"></td>
							</tr>';
	
	//Challenge MSG					
	echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
									<b>'.$txt['SMFChess_Challenge']['c_msg'].':</b>
									<div class="smalltext">'.$txt['SMFChess_Challenge']['c_msg_i'].'</div>
								</td>
								<td class="windowbg2" align="left" valign="top">
									<textarea class="editor" name="ChallengeMsg" rows="4" cols="20"></textarea>
									<br/>
									<span class="smalltext">'.$txt['SMFChess_Challenge']['c_msg_limit'].':  <span id="msgCL">100</span></span>
								</td>
								<td width="50%"></td>
							</tr>';
	

	//Chess Variantions
	echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
									<b>'.$txt['SMFChess_Challenge']['c_variation'].':</b>
									<div class="smalltext">'.$txt['SMFChess_Challenge']['c_variation_i'].'<br/>
									<a href="http://en.wikipedia.org/wiki/Chess_variant" target="_blank">'.$txt['SMFChess_Challenge']['moreinfo'].'</a></div>
								</td>
								<td class="windowbg2" align="left" valign="top" colspan="2">
									<select name="ChallengeVariation" id="ChallengeVariation" onChange="do_variantPrevChange(document.SMFChessChallenge.ChallengeVariation)">
										';
								
							foreach($txt['SMFChess_variation'] as $key => $i){
								echo '<option value="'.$key.'">'.$i.'</option>
										';
							
							}

	echo '
									</select>
									<div id="variantPrevDiv" class="variantPrevDiv" style="display: none;"></div>
								</td>
							</tr>';
	
	//Move Clock
	echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
									<b>'.$txt['SMFChess_labels']['moveclock'].':</b>
									<div class="smalltext">'.$txt['SMFChess_Challenge']['c_moveclock_i'].'</div>
								</td>
								<td class="windowbg2" align="left" valign="top">
									<select name="ChallengeMoveClock" id="ChallengeMoveClock">
										';
							foreach($txt['SMFChess_moveclock'] as $key => $i){
								echo '<option value="'.$key.'">'.$i.'</option>
										';
							
							}
	echo '
									</select>
								</td>
								<td width="50%"></td>
							</tr>';
							
	echo '					
							<tr>
								<td class="windowbg2" width="20%" valign="top">
								</td>
								<td class="windowbg2" colspan="2" align="left" valign="top">
									<input value="'.$txt['SMFChess_labels']['challenge'].'" type="submit" />
								</td>
							</tr>';
	echo '					
						</table>
						</form>
					</div>
				</td>
			</tr>
		</table>
	</td>
	</tr>
		';						
							
	//Quickmatch
	echo 	'
		<tr>
			<td class="windowbg2">
				<table class="bordercolor" border="0" cellpadding="4" cellspacing="1" width="100%">
					<tr>
						<td class="titlebg" colspan="10">
							<b>'.$txt['SMFChess_Challenge']['joinquickmatch'].'</b>
						</td>
					</tr>
					<tr class="catbg3">
						<td width="2%">
						</td>
						<td style="width: auto;" nowrap="nowrap" valign="middle">
							'.$txt['SMFChess_labels']['opponent'].'
						</td>
						<td align="center" valign="middle" width="10%">
							'.$txt['SMFChess_labels']['elo'].'
						</td>
						<td align="center" valign="middle" width="10%">
							'.$txt['SMFChess_Challenge']['variant'].'
						</td>
						<td align="center" valign="middle" width="10%">
							'.$txt['SMFChess_labels']['moveclock'].'
						</td>
						<td align="center" valign="middle" width="10%">
							'.$txt['SMFChess_labels']['created'].'
						</td>
						<td align="center" valign="middle" width="10%">
						</td>
					</tr>';
		
	foreach($context['SMFChess']['quickmatches'] as $row){
		getOpponent($row['black']);
		echo '
					<tr class="windowbg2">
						<td align="center" valign="middle">
							'.(empty($context['SMFChess']['member_data']['avatar']['href'])?'':'<img src="'.$context['SMFChess']['member_data']['avatar']['href'].'" height="30px" alt="'.$context['SMFChess']['member_data']['name'].'" />').'
						</td>
						<td valign="middle">
							<a href="'.$scripturl.'?action=profile;u='.$context['SMFChess']['member_data']['id'].'">'.$context['SMFChess']['member_data']['name'].'</a><br/>
							<span class="smalltext">'.$row['text'].'</span>
						</td>
						<td align="center" valign="middle">
							'.$row['oppElo'].'
						</td>
						<td align="center" valign="middle">
							'.$txt['SMFChess_variation'][$row['variation']].'
						</td>
						<td align="center" valign="middle">
							'.$row['moveclock'].'
						</td>						
						<td align="center" valign="middle">
							'.$row['created'].'
						</td>
						<td align="center" valign="middle">
							'.($context['SMFChess']['member_data']['id'] != $context['user']['id'] ? '<a href="'.$scripturl.'?action=chess;sa=challenge;join='.$row['id_chess'].';sesc='.$context['session_id'].'">'.$txt['SMFChess_Challenge']['clickjoin'].'</a>':'').'
						</td>
					</tr>';
	}
	
	echo '
				</table>
			</td>
		</tr>';
	
	echo '</tbody></table>
	
	<div id="userSearchResult" class="auto_complete"></div>
	';
	
//Javascript for Challenge Page	
echo '<script type="text/javascript">
<!--
var cur_session_id = "'.$context['session_id'].'";
var variantsInfo = new Array(';
foreach($txt['SMFChess_variation_i'] as $i){
	echo '"'.$i.'",
	';
}
echo ' "");
//-->
</script>';
}

//Template for players Chess Settings
function template_settings()
{
	global $txt, $context, $modSettings, $scripturl, $settings, $options;

	echo '	
			<table class="bordercolor" border="0" cellpadding="4" cellspacing="0" width="100%" valign="top">
					<tbody>';
	//Load the Javascript				
	echo '					<tr>
								<td class="catbg3" colspan="3">
									<form action="'.$scripturl.'?action=chess;sa=settings" method="post" name="SMFChessSettings">
									<b>'.$txt['SMFChess_Settings']['settingstitle'].'</b>
								</td>
							</tr>
							';

	//Quickplay
	echo '					
							<tr>
								<td class="windowbg2" width="30%">
									<b>'.$txt['SMFChess_Settings']['quickplay'].':</b><div class="smalltext">'.$txt['SMFChess_Settings']['quickplay_i'].'</div>
								</td>
								<td class="windowbg2" colspan="2">
									<input type="checkbox" name="options[SMFChess_quickplay]" value="1" '.($options['SMFChess_quickplay']?'checked="checked"':'').'/>
								</td>
							</tr>';

	//PM
	echo '					
							<tr>
								<td class="windowbg2" width="30%">
									<b>'.$txt['SMFChess_Settings']['receivepm'].':</b><div class="smalltext">'.$txt['SMFChess_Settings']['receivepm_i'].'</div>
								</td>
								<td class="windowbg2" colspan="2">
									<input type="checkbox" name="options[SMFChess_pm]" value="1" '.($options['SMFChess_pm']?'checked="checked"':'').'/>
								</td>
							</tr>';

	echo '					
							<tr>
								<td class="windowbg2" colspan="3"><hr width="100%" size="1" class="hrcolor" /></td>
							</tr>';					
	//Board Colours
	echo '
							<tr>
								<td class="windowbg2" width="30%">
									<b>'.$txt['SMFChess_Settings']['boardcolours'].':</b><div class="smalltext">'.$txt['SMFChess_Settings']['boardcolours_i'].'</div>
								</td>
								<td class="windowbg2">
									<input type="checkbox" name="options[SMFChess_default]" value="1" '.($options['SMFChess_default']?'checked="checked"':'').'/> '.$txt['SMFChess_Settings']['useforumdefaults'].'
								</td>
								<td class="windowbg2" rowspan="6" width="50%">
								</td>';
	echo '						</tr>
							<tr>
								<td class="windowbg2" width="30%">
									<span>'.$txt['SMFChess_Settings']['lightsquare'].':</span>
								</td>
								<td class="windowbg2" valign="top">
									#<input type="text" name="options[SMFChess_light]" value="'.$options['SMFChess_light'].'" id="SMFChess_light"  size="9" />
								</td>
							</tr>
							<tr>
								<td class="windowbg2" width="30%">
									<span>'.$txt['SMFChess_Settings']['darksquare'].':</span>
								</td>
								<td class="windowbg2">
									#<input type="text" name="options[SMFChess_dark]" id="SMFChess_dark" value="'.$options['SMFChess_dark'].'" size="9" />
								</td>
							</tr>
							<tr>
								<td class="windowbg2" width="30%">
									<span>'.$txt['SMFChess_Settings']['border'].':</span>
								</td>
								<td class="windowbg2">
									#<input type="text" name="options[SMFChess_border]" id="SMFChess_border" value="'.$options['SMFChess_border'].'" size="9" />
								</td>
							</tr>
							<tr>
								<td class="windowbg2" width="30%">
									<span>'.$txt['SMFChess_Settings']['text'].':</span>
								</td>
								<td class="windowbg2">
									#<input type="text" name="options[SMFChess_text]" id="SMFChess_text" value="'.$options['SMFChess_text'].'" size="9" />
								</td>
							</tr>
							<tr>
								<td class="windowbg2" width="30%">
									<span>'.$txt['SMFChess_Settings']['highlight'].':</span>
								</td>
								<td class="windowbg2">
									#<input type="text" name="options[SMFChess_highlight]" id="SMFChess_highlight" value="'.$options['SMFChess_highlight'].'" size="9" />
								</td>
							</tr>';
	echo '
							<tr>
								<td class="windowbg2" colspan="3"><hr width="100%" size="1" class="hrcolor" /></td>
							</tr>
							<tr>
								<td class="windowbg2" width="30%" valign="top"><b>'.$txt['SMFChess_Settings']['chesspiece'].':</b><div class="smalltext">'.$txt['SMFChess_Settings']['chesspiece_i'].'</div></td>
								<td class="windowbg2">
									<select name="options[SMFChess_piece]" id="SMFChess_piece" size="5" onChange="do_PieceChange(document.SMFChessSettings.SMFChess_piece)">';
								
		foreach ($context['SMFChess']['pieces'] as $pieces){
			echo '
												<option value="'.$pieces['filename'].'"';
			if($pieces['checked'])
				echo ' selected="selected"';

			echo '>'. $pieces['name']. '</option>';
		}
		
	echo'							</select>
								</td>
								<td class="windowbg2" rowspan="3" valign="middle">
									<div id="piecePrevDiv" class="piecePrevDiv"></div>
								</td>

							</tr>
							<tr>
								<td class="windowbg2" width="30%" valign="top"><b>'.$txt['SMFChess_Settings']['size'].':</b><div class="smalltext">'.$txt['SMFChess_Settings']['size_i'].'</div></td>
								<td class="windowbg2">
									<select name="options[SMFChess_size]" id="SMFChess_size" size="5" onChange="do_SizeChange('.$modSettings['SMFChess_size'].' + parseInt(this.value))">
										<option value="0" '. ($options['SMFChess_size'] == 0 ?'selected="selected"':'').'>'.$txt['SMFChess_labels']['forumdefault'].'</option>
										';
									foreach ($txt['SMFChess_sizes'] as $key => $k)
										echo '<option value="'.$key.'" '. ($options['SMFChess_size'] == $key?'selected="selected"':'').'>'.$k.'</option>
										';
	echo '
									</select>
								</td>

							</tr>
							<tr>
								<td class="windowbg2" width="30%" valign="top"><b>'.$txt['SMFChess_Settings']['effect'].':</b><div class="smalltext">'.$txt['SMFChess_Settings']['effect_i'].'</div></td>
								<td class="windowbg2">
									<select name="options[SMFChess_effect]" id="SMFChess_effect" size="5" onChange="do_EffectChange(parseInt(this.value))">
										<option value="-1" '. ($options['SMFChess_effect'] == -1 ?'selected="selected"':'').'>'.$txt['SMFChess_labels']['forumdefault'].'</option>
										';
									foreach ($txt['SMFChess_effects'] as $key => $k)
										echo '<option value="'.$key.'" '. ($options['SMFChess_effect'] == $key?'selected="selected"':'').'>'.$k.'</option>
										';
	echo '
									</select>
								</td>

							</tr>
							<tr>
								<td class="windowbg2" colspan="3">
									<input type="submit" value="', $txt[10], '" /></form>									
								</td>
							</tr>';
					
	echo	'</tbody></table>';
}

//Template for the Leaderboard
function template_leaderboard()
{
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	echo '
		<table class="bordercolor" align="center" border="0" cellpadding="0" cellspacing="0" width="100%">
			<tbody>';
	//Leaderboard
	echo '<tr>
			<td width="80%" valign="top" class="windowbg2">';

	
	
	echo '
			<table class="bordercolor" border="0" cellpadding="4" cellspacing="1" width="100%">
					<tbody>
					<tr>
						<td class="titlebg" align="center" valign="middle" colspan="6">
							'.$txt['SMFChess_labels']['leaderboard'].'
						</td>
					</tr>
					<tr>

						<td class="catbg3" width="2%" align="center">'.$txt['SMFChess_labels']['rank'].'</td>
						
						<td class="catbg3" style="width: auto;">'.$txt['SMFChess_labels']['name'].'</td>
						
						<td class="catbg3" width="5%" align="center">'.$txt['SMFChess_labels']['elo'].'</td>
						
						<td class="catbg3" width="5%" align="center">'.$txt['SMFChess_labels']['wins'].'</td>
						
						<td class="catbg3" width="5%" align="center">'.$txt['SMFChess_labels']['draws'].'</td>
						
						<td class="catbg3" width="5%" align="center">'.$txt['SMFChess_labels']['losses'].'</td>
					
					</tr>';
	
	if(!empty($context['SMFChess']['error']))
		echo '<tr><td colspan="7" class="windowbg" align="center">'.$context['SMFChess']['error'].'</td></tr>';
				
	foreach($context['SMFChess']['page'] as $row){	
		if($row['ID_MEMBER'] == $context['user']['id'])	
			echo'	<tr>
						
						<td class="windowbg" align="center" valign="middle">
							', $row['rank'],'
						</td>
						
						<td class="windowbg" valign="middle">
							<a href="'.$scripturl.'?action=profile;u='.$row['ID_MEMBER'].'">'.$row['realName'].'</a>
						</td>
						
						<td class="windowbg" align="center" valign="middle">
							', $row['chess_elo'],'
						</td>
						
						<td class="windowbg" align="center" valign="middle">
							', $row['chess_w'],'
						</td>
						
						<td class="windowbg" align="center" valign="middle">
							', $row['chess_d'],'
						</td>
						
						<td class="windowbg" align="center" valign="middle">
							', $row['chess_l'],'
						</td>
					</tr>';
		else
			echo'	<tr>
						
						<td class="windowbg2" align="center" valign="middle">
							', $row['rank'],'
						</td>
						
						<td class="windowbg2" valign="middle">
							<a href="'.$scripturl.'?action=profile;u='.$row['ID_MEMBER'].'">'.$row['realName'].'</a>'.($context['user']['is_guest']?'':'<a href="'.$scripturl.'?action=chess;sa=challenge;cUser='.$row['ID_MEMBER'].'"><span class="smalltext">'.$txt['SMFChess_labels']['cUser'].'</span></a>').'
						</td>
						
						<td class="windowbg2" align="center" valign="middle">
							', $row['chess_elo'],'
						</td>
						
						<td class="windowbg2" align="center" valign="middle">
							', $row['chess_w'],'
						</td>
						
						<td class="windowbg2" align="center" valign="middle">
							', $row['chess_d'],'
						</td>
						
						<td class="windowbg2" align="center" valign="middle">
							', $row['chess_l'],'
						</td>
					</tr>';
			
	}

	echo '
				</tbody></table>
			</td>
		</tr>
	</tbody></table>';
}
?>
