<?php

//SMFChess Admin Language File
//ChessAdmin.english.php

//Global
$txt['SMFChess_g'] = array(
	'seconds' => 'Seconds',
	'minutes' => 'Minutes',
	'days' => 'Days',
	);

//Admin Settings
$txt['SMFChess_a_s'] = array(
	't_settings' => 'Chess Settings',
	't_interval' => 'Set Update Interval',
	't_interval_i' => 'Set seconds between each update interval<br/>(default: 10seconds)',
	't_timeout' => 'Set Timeout',
	't_timeout_i' => 'Set minutes before timeout occurs<br/>(default: 30 minutes)',
	't_news' => 'Set News',
	't_news_i' => 'Type some news to be displayed on "My Page"',
	't_menu' => 'Set Menu Bar',
	't_menu_i' => 'Select different menu bars to compliment your SMF theme',
	'v_menu_default' => 'Default',
	'v_menu_default_i' => 'Default Bar. Blends well with SMF default theme',
	'v_menu_custom1' => 'Custom',
	'v_menu_custom2' => '[Modify]',
	'v_menu_custom3' => 'Custom Bar. Information is contained in ChessCustom.template.php.<br/>Use this php file to create your own bar for your forum themes',
	't_boardcolour' => 'Set Chess Board Colours',
	't_boardcolour_i' => 'Select Chess Board Colours',
	'v_boardcolor_l' => 'Light Squares',
	'v_boardcolor_d' => 'Dark Squares',
	'v_boardcolor_b' => 'Border',
	'v_boardcolor_t' => 'Border Text',
	'v_boardcolor_h' => 'Highlight',
	't_boardpiece' => 'Set Chess Piece',
	't_boardpiece_i' => 'Select Chess Piece that you would like to play with',
	't_boardsize' => 'Set Chess Piece Size',
	't_boardsize_i' => '0 uses Chess Piece native size',
	't_challengeremind' => 'Set Challenge Reminder',
	't_challengeremind_i' => 'Set the amount of days before players can remind their opponent',
	't_challengecancel' => 'Set Request Challenge Cancel',
	't_challengecancel_i' => 'Set the amount of days before players can cancel their challenge request',
	't_joinlimit' => 'Set Challenge Join Limit',
	't_joinlimit_i' => 'Set the amount of times a player may join a quickmatch per day',
	't_quicklimit' => 'Set Challenge Quickmatch Create Limit',
	't_quicklimit_i' => 'Set the amount of quickmatches that are able to be created per day',
	't_boardeffects' => 'Set Chess Board Effect',
	't_boardeffects_i' => 'Set the effect used when a piece is changed on the Chess Board.',
	't_c_settings' => 'Chess Chat Settings',
	't_c_enable' => 'Enable SMFChess Chat',
	't_c_enable_i' => 'Check to enable/disable chat',
	't_c_interval' => 'Set Chat Update Interval',
	't_c_interval_i' => 'Set seconds between each update interval<br/>(default: 10seconds)',
	't_c_timeout' => 'Set Chat Timeout',
	't_c_timeout_i' => 'Set minutes before timeout occurs<br/>(default: 30 minutes)',
	't_c_cansee' => 'Set who can See chat',
	't_c_cansee_i' => 'Always true for SMFChess admins',
	'v_c_cansee1' => 'Everyone',
	'v_c_cansee2' => 'Everyone excluding guests',
	'v_c_cansee3' => 'Players Only',
	't_c_canchat' => 'Set who can chat',
	't_c_canchat_i' => 'Always true for SMFChess admins',
	't_c_movelog' => 'Move Log Forum Default',
	't_c_movelog_i' => 'Set forum default to show board move log in chat window',
);

$txt['SMFChess_effects'] = array(
	'0' => 'None',
	'1' => 'Highlight',
	'2' => 'Shake',
	'3' => 'Pulse',
	);


//Admin Maintenance
$txt['SMFChess_a_m'] = array(
	't_maintenance' => 'Chess Maintenance',
	't_repair' => 'Find and repair any errors',
	't_repair_i' => 'Finds and repairs inconsistencies',
	't_recount' => 'Recount Chess Results',
	't_recount_i' => 'Recount W/D/L and ELO',
	'v_recount_elo' => 'Elo Only',
	'v_recount' => 'Everything',
	't_clean' => 'Clean SMFChess',
	't_clean_i' => 'Removes any stagnant/finished games over X amount of days<br/>(default: 30/90 days)',
	'v_clean_stagnant1' => 'Remove stagnant games',
	'v_clean_stagnant2' => 'Remove any game thats last move was over',
	'v_clean_finished1' => 'Remove finished games',
	'v_clean_finished2' => 'Remove any finished game over',
	'v_clean_confirm' => 'Are you sure you want to clean SMFChess?\n\nThis cannot be undone!',
	't_i_import' => 'Chess Import - Powered by SomeChess',
	't_i_white' => 'White Name',
	't_i_white_i' => 'Assign imported game to white player',
	't_i_black' => 'Black Name',
	't_i_black_i' => 'Assign imported game to black player',
	't_i_pgn' => 'PGN Notation',
	't_i_pgn_i' => 'PGN Notation data to import<br />Leave empty to manually add new game',
	't_i_variant' => 'Use Chess Variant',
	't_i_variant_i' => 'Only Avaliable if PGN Import is empty',
	't_i_moveclock' => 'Use Move Clock',
	't_i_moveclock_i' => 'If Move Clock is less then one hour, both players must be online to start.',
	't_i_msg_sub' => 'Import Message',
	't_i_msg_sub_i' => 'Subject',
	't_i_msg' => 'Send a message along with import?',
	'v_i_pgn' => 'Import',
	't_i_createnew' => 'Create New',
	't_i_findingusers' => 'Findings Users...',
	't_i_variant_msg' => 'Variant',
	't_i_moveclock_msg' => 'Move Clock',
);

//Admin Maintenance Results
$txt['SMFChess_maint_result_title'] = 'Results';
$txt['SMFChess_maint_result_fixcurrent'] = 'Fixed Current';
$txt['SMFChess_maint_result_fixfininished'] = 'Fixed Finished';
$txt['SMFChess_maint_result_fixdraw'] = 'Fixed Stalemate';
$txt['SMFChess_maint_result_fixnull'] = 'Removed Null';
$txt['SMFChess_maint_recount'] = 'Games Recounted';
$txt['SMFChess_maint_result_cleanprogress'] = 'Removed Stagnant';
$txt['SMFChess_maint_result_cleannotstarted'] = 'Removed Not Started';
$txt['SMFChess_maint_result_cleanfinished'] = 'Removed Finished';
$txt['SMFChess_maint_import'] = 'Successfully Imported';
$txt['SMFChess_maint_importfailed'] = 'Import Failed';
$txt['SMFChess_maint_importfailed2'] = '2 Unique Members not found';

$txt['SMFChess_moveclock'] = array(
	'0' => 'No Timer',
	'60' => '1 minute',
	'300' => '5 minutes',
	'86400' => '1 Day',
	'259200' => '3 Days',
	);

$txt['SMFChess_variation'] = array(
	'0' => 'Classic',
	'1' => 'Dark Chess',
	'2' => 'Extinction',
	'3' => 'Chess960',
	);

$txt['SMFChess_pm'] = array(
	'import_sub' => 'Joined a Chess Game by Import',
	'followlink' => '

Follow link for more information
',
);
?>
